/*
 * Copyright 1999 Silicon Graphics, Inc. All rights reserved.
 */

#define DEF_HIST                100	/* default number of history commands */
#define DEF_LENGTH              1024	/* default command length */
#define DEF_MAXHIST		1000	/* maximum number of history commands */

char *hist_cmd(char *);
char *hist_getcmd(int);
int   hist_init(int, int);
char *rl_getline(void);
int   rl_init(char*, int, int);

#define PRINT_BEEP				(char *)-1
#define DRAW_NEW_ENTIRE_LINE	(char *)0

typedef char *(*rl_complete_func_t)(char *, int);

void	rl_register_complete_func(rl_complete_func_t);
